## org.mariadb.jdbc.internal.failover.tools
Class SearchFilter

    java.lang.Object
      org.mariadb.jdbc.internal.failover.tools.SearchFilter

    public class SearchFilter

extends Object

Constructor Summary
`SearchFilter()`
`SearchFilter(boolean initialConnection)` Constructor.
`SearchFilter(boolean fineIfFoundOnlyMaster, boolean fineIfFoundOnlySlave)` Constructor.

Method Summary
`boolean` `isFailoverLoop()`
`boolean` `isFineIfFoundOnlyMaster()`
`boolean` `isFineIfFoundOnlySlave()`
`boolean` `isInitialConnection()`
`void` `setFailoverLoop(boolean failoverLoop)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchFilter

    public SearchFilter()

### SearchFilter

    public SearchFilter(boolean fineIfFoundOnlyMaster,
                        boolean fineIfFoundOnlySlave)

  Constructor.

  Parameters:
    `fineIfFoundOnlyMaster` - stop searching if master found
    `fineIfFoundOnlySlave` - stop searching if slave found

### SearchFilter

    public SearchFilter(boolean initialConnection)

  Constructor.

  Parameters:
    `initialConnection` - initial connection flag

Method Detail

### isInitialConnection

    public boolean isInitialConnection()

### isFineIfFoundOnlyMaster

    public boolean isFineIfFoundOnlyMaster()

### isFineIfFoundOnlySlave

    public boolean isFineIfFoundOnlySlave()

### isFailoverLoop

    public boolean isFailoverLoop()

### setFailoverLoop

    public void setFailoverLoop(boolean failoverLoop)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2017. All rights reserved.